Subject: bug#26530: Emacs 24.5, 25; Lisp Interpreter Bug

From: Paul Eggert <[email-masked]>
Date: Sun, 16 Apr 2017 12:34:07 -0700

Cody Rivera wrote:
> I must have some emacs package that allows the form "(loop @body)" to be
> used.

Yes, evidently your problem involves some code that I don't have, which explains 
why I can't reproduce it. If you can provide a way to reproduce your problem 
(i.e., C-g does not work) then perhaps we can fix it.

> I reran similar code with emacs -Q, and it turns out I can stop it.  After
> about fifteen seconds, the buffer was populated with millions of lines
> (about 300 million while composing my reply).  Clearly my mundane code was
> running properly.
>
> However, while running the code, my installed versions of Emacs remain
> unresponsive until interrupted -- none of the GUI elements are responsive,
> no command works except C-g, there is no terminal output, and there is
> ultimately no indication that the program is running properly.
>
> I misinterpreted (the lack of) a feature as a bug.

Yes, that's to be expected. Emacs is single-threaded, and if are running Lisp 
code it cannot respond to other keystrokes to run any other Lisp code; all you 
can do is interrupt it with C-g.